View Issue Details

IDProjectCategoryView StatusLast Update
0001728SymmetricDSImprovementpublic2014-05-27 09:59
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.22 
Target Version3.5.22Fixed in Version3.5.22 
Summary0001728: MSSQL Bulk Loader support for columns in different order
DescriptionThe columns for a table can be in a different order on the source database than they are on the target database. The BULK INSERT command expects columns to be in the order of the target database, and it doesn't allow the programmer to specify the order. We need to reorder the incoming column data to match the target database.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 9929be0a

2014-05-22 10:17:06

erilong

Details Diff
0001728: MSSQL Bulk Loader support for columns in different order
0001728
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriterTest.java Diff File
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-05-22 10:16 elong New Issue
2014-05-22 10:16 elong Status new => assigned
2014-05-22 10:16 elong Assigned To => elong
2014-05-22 10:36 elong Status assigned => resolved
2014-05-22 10:36 elong Fixed in Version => 3.5.22
2014-05-22 10:36 elong Resolution open => fixed
2014-05-22 11:00 Changeset attached => SymmetricDS trunk r8291
2014-05-22 11:00 Changeset attached => SymmetricDS 3.5 r8294
2014-05-27 09:59 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 9929be0a